Update a storage bucket
PUT
/v1/tenants/current/storage-bucketcurl -X PUT 'https://api.embodiflow.io/v1/tenants/current/storage-bucket' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"provider": "string",
"regionCode": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
请求体
Content-Typeapplication/json
- providerstring
- regionCodestring
响应
Success
- dataobject必填
- bucketobject必填
- datasetBucketobject必填
- exportBucketobject必填
响应示例
{
"data": {
"bucket": {
"id": "string",
"tenantId": "string",
"provider": "string",
"bucketName": "string",
"displayName": "string",
"locationRole": "string",
"ownership": "string",
"region": "string",
"endpoint": "string",
"pathStyleEnabled": false,
"nativeCapabilities": {},
"status": "string",
"provisionedAt": "string",
"createdAt": "string",
"updatedAt": "string"
},
"datasetBucket": {
"id": "string",
"tenantId": "string",
"provider": "string",
"bucketName": "string",
"displayName": "string",
"locationRole": "string",
"ownership": "string",
"region": "string",
"endpoint": "string",
"pathStyleEnabled": false,
"nativeCapabilities": {},
"status": "string",
"provisionedAt": "string",
"createdAt": "string",
"updatedAt": "string"
},
"exportBucket": {
"id": "string",
"tenantId": "string",
"provider": "string",
"bucketName": "string",
"displayName": "string",
"locationRole": "string",
"ownership": "string",
"region": "string",
"endpoint": "string",
"pathStyleEnabled": false,
"nativeCapabilities": {},
"status": "string",
"provisionedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1